org.kie.api.pmml

## Class ParameterInfo<T>

- java.lang.Object
- - org.kie.api.pmml.ParameterInfo<T>

-     public class ParameterInfo<T>
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParameterInfo()`
    `ParameterInfo(String correlationId, String name, Class<T> type, T value)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `String` | `getCapitalizedName()`
    `String` | `getCorrelationId()`
    `String` | `getName()`
    `Class<T>` | `getType()`
    `T` | `getValue()`
    `int` | `hashCode()`
    `void` | `setCorrelationId(String correlationId)`
    `void` | `setName(String name)`
    `void` | `setType(Class<T> type)`
    `void` | `setValue(T value)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ParameterInfo

          public ParameterInfo()

    - #### ParameterInfo

          public ParameterInfo(String correlationId,
                               String name,
                               Class<T> type,
                               T value)

  - ### Method Detail

    - #### getName

          public String getName()

    - #### getCapitalizedName

          public String getCapitalizedName()

    - #### setName

          public void setName(String name)

    - #### getType

          public Class<T> getType()

    - #### setType

          public void setType(Class<T> type)

    - #### getValue

          public T getValue()

    - #### setValue

          public void setValue(T value)

    - #### getCorrelationId

          public String getCorrelationId()

    - #### setCorrelationId

          public void setCorrelationId(String correlationId)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2001–2019 JBoss by Red Hat. All rights reserved.